<?php
require_once('./config.php');
$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, $serverIP . "/players.json");
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);

$json;
$serverStatus = 0;

$output = curl_exec($curl);

if (curl_exec($curl) === false){
    $serverStatus = 1;
    echo '<script> console.log("Curl error: ' . curl_error($curl) . '")</script>';
} elseif (!empty(curl_exec($curl)) && !empty($output)) {
    $serverStatus = 2;
    $json = json_decode($output, TRUE, 512, JSON_BIGINT_AS_STRING);
} else {
    $serverStatus = 0;
    echo '<script> console.log("Curl error: ' . curl_error($curl) . '")</script>';
}


curl_close($curl);
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Server Info</title>
</head>
<body>
    <div class="server-info-container">
    <div class="server-stat-title"><h4>Server status:</h4></div>
    <?php if ($serverStatus === 2){ echo '<div class="server-stat ellipse-green">Online</div>'; } elseif ($serverStatus === 1) { echo '<div class="server-stat ellipse-red">Offline</div>'; } else { echo '<div class="server-stat ellipse-grey">Loading</div>'; } ?>
    <div class="server-stat-title"><h4>Online Players:</h4></div>    
    <?php if ($serverStatus === 2){ echo '<div class="server-stat ellipse-indigo">' . count($json) . '</div>'; } else { echo '<div class="server-stat ellipse-grey">0</div>'; } ?>
    <div class="server-stat-title"><h4>IP Address:</h4></div>
    <div class="server-stat ellipse-grey"><?php echo $serverIP;?></div>
    </div>
    <?php
    if ($serverStatus === 2){
        echo '<h1>Online Players:</h1>
        <div class="player-card-container">';
            foreach ($json as $player) {
                echo '
                    <div class="player-card">
                        <div class="player-card-top">
                            <div class="player-right">
                                <div class="player-id">ID: ' . $player['id'] . '</div>
                                <div class="player-ping '; if ($player["ping"] <= 100){ echo 'ping-green'; } elseif ($player['ping'] >= 101 && $player['ping'] <= 200) { echo 'ping-yellow'; } else { echo 'ping-red'; } echo '"><span>Ping: ' . $player['ping'] . '</span></div>
                            </div>
                        </div>
                        <div class="player-divider"></div>
                        <div class="player-name">Name: ' . $player['name'] . '
                    </div>
                    <br>
            ';
            echo '</div>';
            
        }
    }
    ?>
</body>
</html>